Subject: FVWM: Multiple fvwm processes on Sun

From: [email-masked] (Mark Naumann)
Date: Wed, 24 Apr 96 14:18:31 MST

I've had a similar problem on SunOS systems running 1.24r.  I don't
know what this problem is, but it does not manifest itself with other
window managers on the same OS.  I am nervous about moving to the
latest 2.xx release until I understand this problem.

PROBLEM DESCRIPTION: 
--------------------
In my .xsession file, I invoke my window manager in the background. (I
put the window manager in the background, so that from the xterm
session, I can change my window manager as needed.)  The last line in
the .xsession file is a foreground xterm process.  I expect that when
I exit my xterm process, the .xsession script will complete and the
window manager process will be killed.  (Is this because the
controlling terminal is terminated? Is this an incorrect assumption?)
This is the behavior I experienced on Motorola's SYS5.3 and SYS5.4
UNIX operating systems when using mwm, twm, tvtwm, and fvwm.

Recently, I've changed my home system to a SunOS machine and kept my
.xsession file.  I've compiled fvwm (1.24r) and I use that as my
window manager.  SOMETIMES, when I logout and login again quickly, I
get multiple fvwm processes.  One process is controlling my X session
ok, the others are competing and consuming about 90% of the CPU.

DIAGNOSIS:
----------
Unknown. 

I don't know what is causing this.  (Is it an operating system issue
or fvwm issue?)  It does not seem to happen with other window
managers, but I don't know for sure, because it is hard to reproduce.

WORK AROUND:
------------
I still put my window manager (fvwm) in the background, but at the end
of my .xsession, I put a wait call.  This causes the .xsession script
to wait for all background processes to complete, before terminating.
This forces me to use a menu to kill fvwm.  This is how I've kept from
having multiple fvwm processes hanging around and keeping my
co-workers from blaming fvwm.

Any ideas?

[email-masked]
Phone: +01 602 814 4880

========================================================================
chuck hines <[email-masked]> writes:
  > X-Face: 'pn"gAx+&w4-=-}\z>*.Y*@(lC;t1<P);@iwiv';)vn3H2\/.x#;>J[a,/Q.Yv0^Wwc6_"H]}}-"?%)ETS`1v[]P`w4,E.9Bgf*XI4<H{C}Mf@'Ms)z?Bqzf"8v/oY\9K){w}\pw
  > X-Majordomo: 1.92
  > Precedence: list
  > 
  > >>>>> "Amit" == AMGANESH US ORACLE COM <[email-masked]> writes:
  > 
  > Amit> I switched to fvwm. And the system (Sun Sparc 10) seems to be
  > Amit> overloaded by the window manager related processes... Do you
  > Amit> know if there is a fix to this?  If the GoodStuff comes at such
  > Amit> a heavy price (75% of CPU time) I would rather not have it...
  > 
  > It shouldn't be taking more than a few percent of the CPU at any given
  > moment.  Something odd must be going on there.  Are you really running
  > 3 of them at once, or have they just locked up so you started another
  > one, etc.
  > 
  > A simple fix - kill those processes and don't run the GoodStuff
  > toolbar again.  It's nice and all, but not necessary.
  > 
  > Also, what version are you running?  I know it's 1.xx, but is it the
  > last of the released versions (1.24r) or a much earlier version?  I'd
  > recommend trying 1.24r if you're currently trying an earlier version,
  > or if you are feeling brave you could try the latest 2.xx beta
  > version...  (see http://www.hpc.uh.edu/fvwm/)
  > 
  > Other than that, it could be a bug in your compiler (or just the way
  > it was comiled), X libs, etc.  Basically, I'm not sure what the
  > problem is.
  > 
  > Chuck
  > 
  > *******************************************************************************
  > Charles K. Hines <[email-masked]>
  > IBM Logic Synthesis developer [BooleDozer (TM)]
  > Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]
  > 
  > IBM Internal email:                        "Go back to sleep, Chuck.  You're
  >   [email-masked],              just havin' a nightmare--of course,
  >   HINESC at FISHKILL, HINESC at FSHVMFK1    we are still in Hell." Gary Larson
  > *******************************************************************************
  > --
  > Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
  > To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
  > message to [email-masked].
  > To report problems, send mail to [email-masked].

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].